## org.hibernate.metamodel
Interface Metadata.Options

Enclosing interface:
  Metadata

    public static interface Metadata.Options

Exposes the options used to produce a `Metadata` instance.

Method Summary
`AccessType` `getDefaultAccessType()`
`String` `getDefaultCatalogName()`
`String` `getDefaultSchemaName()`
`MetadataSourceProcessingOrder` `getMetadataSourceProcessingOrder()`
`NamingStrategy` `getNamingStrategy()`
`SharedCacheMode` `getSharedCacheMode()`
`boolean` `isGloballyQuotedIdentifiers()`
`boolean` `useNewIdentifierGenerators()`

Method Detail

### getMetadataSourceProcessingOrder

    MetadataSourceProcessingOrder getMetadataSourceProcessingOrder()

### getNamingStrategy

    NamingStrategy getNamingStrategy()

### getSharedCacheMode

    SharedCacheMode getSharedCacheMode()

### getDefaultAccessType

    AccessType getDefaultAccessType()

### useNewIdentifierGenerators

    boolean useNewIdentifierGenerators()

### isGloballyQuotedIdentifiers

    boolean isGloballyQuotedIdentifiers()

### getDefaultSchemaName

    String getDefaultSchemaName()

### getDefaultCatalogName

    String getDefaultCatalogName()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.